import { AnimationInput } from './AnimationInput.js';
import { ToggleTransitions } from './hooks/useTransitioningToggle.js';
/**
 * Helper to create a complete toggling animation by reversing a given togglingOn animation
 *
 * The edits are:
 * - set fill: 'forwards' on the Animation options
 * - togglingOff is exactly the togglingOn animations with the keyframes array reversed. If an offset values is set at keyframes[i], it is swapped with the offset from keyframes[keyframes.length - (i + 1)]
 */
export declare const toToggleAnimations: (togglingOn: AnimationInput) => Record<ToggleTransitions, AnimationInput>;
